<hr class="bg-dark p-0 m-0">
<p class="mt-3"><strong>{{commonContent.tenantID}}</strong></p>
<hr class="bg-light p-0 m-0">
<form #addNewDataControlRuleForm="ngForm" [formGroup]="dataControlForm">
  <div formGroupName="targetDetails" class="mt-2 mr-2 ml-3">
    <p class="text-left text-danger font-weight-bold ml-11">* {{commonContent.required}}</p>
    <div class="row mt-3 mr-5">
      <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-3'">
        <p class="text-left text-dark font-weight-bold">{{commonContent.ruleCategory}}</p>
        <p class="text-left text-muted">{{dataControlContent.ruleCatName}}</p>
      </div>
      <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-5'">
        <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataControlContent.dataLayer.title}}</span>
        <div *ngIf="!isRuleEditMode">
          <ejs-dropdownlist formControlName="layer" [dataSource]="businessLayerList"
            [fields]="businessLayerFields" (change)=dataLayerChange($event) cssClass="e-outline" class="custom-ddl"
            [placeholder]="commonContent.selectOptionWaterMark" [allowFiltering]="true"
            [filterBarPlaceholder]="commonContent.filterPlaceholder"
            [ngClass]="lyr.errors?.required && (lyr.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <div *ngIf="lyr.errors?.required && (lyr.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataControlContent.dataLayer.errorMsg}}</p>
          </div>
        </div>
        <div *ngIf="isRuleEditMode">
          <p class="text-left text-muted mt-3">{{tgtDataForEdit.tgt_layer_nm}}</p>
        </div>
      </div>
      <div class="col-md-4">
        <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataControlContent.object.title}}</span>
        <div *ngIf="!isRuleEditMode">
          <ejs-dropdownlist formControlName="object" [dataSource]="objectList" [fields]="objectFields"
            (change)="objectChange($event)" cssClass="e-outline" class="custom-ddl"
            [filterBarPlaceholder]="commonContent.filterPlaceholder" [placeholder]="commonContent.selectOptionWaterMark"
            [allowFiltering]="true"
            [ngClass]="obj.errors?.required && (obj.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <div *ngIf="obj.errors?.required && (obj.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataControlContent.object.errorMsg}}</p>
          </div>
        </div>
        <div *ngIf="isRuleEditMode">
          <p class="text-left text-muted mt-3">{{tgtDataForEdit.tgt_obj_nm}}</p>
        </div>
      </div>
    </div>
    <hr class="bg-light customHR">

    <div class="row">
      <div class="col-md-10">
        <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataControlContent.aggFn.title}}</span>
        <div *ngIf="!isRuleEditMode">
            <ejs-dropdownlist formControlName="controlType" [dataSource]="aggFuncList" [fields]="aggFuncFields"
              (change)="aggFnChange($event)" cssClass="e-outline" class="custom-ddl"
              [filterBarPlaceholder]="commonContent.filterPlaceholder"
              [placeholder]="commonContent.selectOptionWaterMark" [allowFiltering]="true"
              [ngClass]="ctrlTyp.errors?.required && (ctrlTyp.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
            </ejs-dropdownlist>
            <div *ngIf="ctrlTyp.errors?.required && (ctrlTyp.touched || formInvalidAfterSaveClick)">
              <p class="text-danger">{{dataControlContent.aggFn.errorMsg}}</p>
            </div>
        </div>
        <div *ngIf="isRuleEditMode">
          <p class="text-left text-muted mt-3">{{tgtDataForEdit.visual_rule_desc}}</p>
        </div>
      </div>
    </div>
    <div class="row mt-3" *ngIf="dataControlRuleDetails.mstr_rule_id==='MRDQ1001'">
      <div class="col-md-10">
        <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataControlContent.metricAttr.title}}</span>
        <div *ngIf="!isRuleEditMode">
            <ejs-multiselect formControlName="metricAttr" [showDropDownIcon]='true'
              [dataSource]="attributeList" [fields]="attributeFields" (change)="metricAttrChange($event)"
              mode="CheckBox" cssClass="e-outline" class="mr-6 custom-ddl"
              [selectAllText]="commonContent.selectALLOption" showSelectAll="true"
              [placeholder]="commonContent.multiSelectOptionWaterMark"
              [filterBarPlaceholder]="commonContent.filterPlaceholder"
              [ngClass]="metric.errors?.attr_error && (metric.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
            </ejs-multiselect>
            <div *ngIf="metric.errors?.attr_error && (metric.touched || formInvalidAfterSaveClick)">
              <p class="text-danger">{{metric.errors.attr_error}}</p>
            </div>
        </div>
        <div *ngIf="isRuleEditMode">
          <p class="text-left text-muted mt-3">{{tgtDataForEdit.tgt_metric_attr}}</p>
        </div>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-md-10">
        <span class="text-left text-dark font-weight-bold">{{dataControlContent.grpByAttr.title}}</span>
        <div *ngIf="!isRuleEditMode">
          <div class="d-flex">
            <!-- <ejs-multiselect formControlName="grpByAttr" [showDropDownIcon]='true' [dataSource]="grpByAttrList"
              [fields]="attributeFields" (change)="grpByAttrChange($event)" mode="CheckBox" cssClass="e-outline"
              class="custom-ddl" [selectAllText]="commonContent.selectALLOption" showSelectAll="true"
              [placeholder]="commonContent.multiSelectOptionWaterMark"
              [filterBarPlaceholder]="commonContent.filterPlaceholder">
            </ejs-multiselect> -->
            <ejs-dropdownlist formControlName="grpByAttr1" [dataSource]="grpByAttrList" [fields]="attributeFields"
              (change)="grpByAttrChange($event)" cssClass="e-outline mr-2" class="custom-ddl"
              [filterBarPlaceholder]="commonContent.filterPlaceholder"
              placeholder="Attribute 1" [allowFiltering]="true">
            </ejs-dropdownlist>
            <ejs-dropdownlist formControlName="grpByAttr2" [dataSource]="grpByAttrList2" [fields]="attributeFields"
              cssClass="e-outline" class="custom-ddl"
              [filterBarPlaceholder]="commonContent.filterPlaceholder"
              placeholder="Attribute 2" [allowFiltering]="true">
            </ejs-dropdownlist>
            <ejs-tooltip id="tooltip" content="Max of 2 is allowed">
              <em class="fa fa-info-circle ml-2 pt-3"></em>
            </ejs-tooltip>
          </div>
        </div>
        <div *ngIf="isRuleEditMode">
          <p class="text-left text-muted mt-3">{{tgtDataForEdit.tgt_bk_attr_nm}}</p>
        </div>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-md-10">
        <span class="text-left text-dark font-weight-bold">{{dataControlContent.fltrConn.title}}</span>
        <div class="d-flex">
          <ejs-textbox formControlName="fltrConn" [placeholder]="dataControlContent.fltrConn.title" cssClass="e-outline"
            class="custom-textbox-setting" autofocus="!isRuleEditMode">
          </ejs-textbox>
        </div>
      </div>
    </div>
    <h6 class="text-left text-dark font-weight-bold mt-3 ml-11">{{dataControlContent.srcDetails}}</h6>
    <hr class="bg-light p-0 mb-2">
    <div class="mt-3">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataControlContent.objectCount}}</span>
      <div class="row mt-2 mb-2">
        <div class="col-md-10">
          <div *ngIf="!isRuleEditMode">
            <!-- <span *ngFor="let objectCountOption of objectCountOptions" class="mr-2">
              <ejs-radiobutton label="{{objectCountOption}}" formControlName="objCount" value="{{objectCountOption}}"
              
              [checked]="dataControlRuleDetails.tgt_attr_id !== null && dataControlRuleDetails.tgt_attr_id.length > 1 && dataControlRuleDetails.mstr_rule_id==='MRDQ1001' && dataControlRuleDetails.src_count === objectCountOptions[0]"
                (click)="objectCountChange(objectCountOption)">
              </ejs-radiobutton>
              <p> {{dataControlForm.value.targetDetails.objCount}} </p>
            </span> -->


            <div>
              <span class="mr-2">
                <ejs-radiobutton label="{{objectCountOptions[0]}}" formControlName="objCount"
                  value="{{objectCountOptions[0]}}" (click)="objectCountChange(objectCountOptions[0])">
                  [disabled]="dataControlRuleDetails.tgt_attr_id !== null && dataControlRuleDetails.tgt_attr_id.length > 1 && dataControlRuleDetails.mstr_rule_id==='MRDQ1001'"
                  [checked]="dataControlRuleDetails.src_count ==='Single' || (dataControlRuleDetails.tgt_attr_id !== null && (dataControlRuleDetails.tgt_attr_id.length === 0 || dataControlRuleDetails.tgt_attr_id.length > 1) && dataControlRuleDetails.mstr_rule_id==='MRDQ1001')">
                </ejs-radiobutton>
              </span>
              <span class="mr-2">
                <ejs-radiobutton label="{{objectCountOptions[1]}}" formControlName="objCount"
                  value="{{objectCountOptions[1]}}" (click)="objectCountChange(objectCountOptions[1])">
                  [disabled]="dataControlRuleDetails.tgt_attr_id !== null && dataControlRuleDetails.tgt_attr_id.length > 1 && dataControlRuleDetails.mstr_rule_id==='MRDQ1001'">
                </ejs-radiobutton>
              </span>
              <div *ngIf="objCnt.errors?.required">
                <p class="text-danger">Object Count is required</p>
              </div>
            </div>
          </div>
          <div *ngIf="isRuleEditMode">
            <span class="mr-2">
              <ejs-radiobutton label="{{objectCountOptions[0]}}" value="{{objectCountOptions[0]}}"
                [disabled]="isRuleEditMode" [checked]="sourceDataForEdit.length===1">
              </ejs-radiobutton>
            </span>
            <span class="mr-2">
              <ejs-radiobutton label="{{objectCountOptions[1]}}" value="{{objectCountOptions[1]}}"
                [disabled]="isRuleEditMode" [checked]="sourceDataForEdit.length > 1">
              </ejs-radiobutton>
            </span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="mt-3">
    <div formArrayName="items">
      <div *ngFor="let item of getSrcControls; let i = index;">
        <div [formGroupName]="i" name="frmGrp" #frmGrp class="bg-light mb-20 pt-3 pr-3 pb-3">
          <div class="row pl-3">
            <div class="col-md-4">
              <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
              <span class="text-left text-dark font-weight-bold">{{dataControlContent.dataLayer.title.slice(-5)}}</span>
              <div *ngIf="!isRuleEditMode">
                <ejs-dropdownlist formControlName="layer" [dataSource]="businessLayerList"
                  [fields]="businessLayerFields" (change)="srcLayerChange($event, i)" cssClass="e-outline"
                  [placeholder]="commonContent.selectOptionWaterMark" [allowFiltering]="true"
                  [filterBarPlaceholder]="commonContent.filterPlaceholder" class="custom-small-ddl"
                  [ngClass]="item.get('layer').invalid && (item.get('layer').touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
                </ejs-dropdownlist>
                <div *ngIf="item.get('layer').invalid && (item.get('layer').touched|| formInvalidAfterSaveClick)">
                  <p class="text-danger">{{dataControlContent.dataLayer.errorMsg}}</p>
                </div>
              </div>
              <div *ngIf="isRuleEditMode">
                <p class="text-left text-muted mt-3">{{sourceDataForEdit[i].src_layer_nm}}</p>
              </div>
            </div>
            <div class="col-md-4">
              <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
              <span class="text-left text-dark font-weight-bold">{{dataControlContent.object.title}}</span>
              <div *ngIf="!isRuleEditMode">
                <ejs-dropdownlist formControlName="object" [dataSource]="sourceData.objectList[i]"
                  [fields]="objectFields" (change)="srcObjectChange($event, i)" cssClass="e-outline"
                  [placeholder]="commonContent.selectOptionWaterMark" [allowFiltering]="true"
                  [filterBarPlaceholder]="commonContent.filterPlaceholder" class="custom-small-ddl"
                  [ngClass]="item.get('object').invalid && (item.get('object').touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
                </ejs-dropdownlist>
                <div *ngIf="item.get('object').invalid && (item.get('object').touched || formInvalidAfterSaveClick)">
                  <p class="text-danger">{{dataControlContent.object.errorMsg}}</p>
                </div>
              </div>
              <div *ngIf="isRuleEditMode">
                <p class="text-left text-muted mt-3">{{sourceDataForEdit[i].src_obj_nm}}</p>
              </div>
            </div>
            <div class="col-md-4" *ngIf="dataControlRuleDetails.mstr_rule_id==='MRDQ1001'">
              <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
              <span class="text-left text-dark font-weight-bold">{{dataControlContent.metricAttr.title}}</span>
              <div>
                <!-- <div *ngIf="!isRuleEditMode">
                  <div>
                    <ejs-multiselect formControlName="metricAttr" [showDropDownIcon]='true'
                      [dataSource]="sourceData.metricList[i]" [fields]="attributeFields"
                      (change)="srcMetricAttrChange($event, i)" mode="CheckBox" cssClass="e-outline"
                      [selectAllText]="commonContent.selectALLOption" showSelectAll="true"
                      [placeholder]="commonContent.multiSelectOptionWaterMark"
                      [filterBarPlaceholder]="commonContent.filterPlaceholder" class="custom-small-ddl mt-2 pt-1">
                    </ejs-multiselect>
                  </div>
                </div> -->
                <div *ngIf="!isRuleEditMode">
                  <div *ngIf="dataControlRuleDetails.src_count === objectCountOptions[0]">
                    <ejs-multiselect formControlName="metricAttr" [showDropDownIcon]='true'
                      [dataSource]="sourceData.metricList[i]" [fields]="attributeFields"
                      (change)="srcMetricAttrChange($event, i)" mode="CheckBox" cssClass="e-outline"
                      [selectAllText]="commonContent.selectALLOption" showSelectAll="true"
                      [placeholder]="commonContent.multiSelectOptionWaterMark"
                      [filterBarPlaceholder]="commonContent.filterPlaceholder" class="custom-small-ddl mt-2 pt-1"
                      [ngClass]="item.get('metricAttr').errors?.attr_error && (item.get('metricAttr').touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
                    </ejs-multiselect>
                  </div>
                  <div *ngIf="dataControlRuleDetails.src_count === objectCountOptions[1]">
                    <ejs-dropdownlist formControlName="metricAttr" [dataSource]="sourceData.metricList[i]"
                      [fields]="attributeFields" (change)="singleSrcMetricAttrChange($event, i)" cssClass="e-outline mr-4"
                      class="custom-small-ddl" [filterBarPlaceholder]="commonContent.filterPlaceholder"
                      [placeholder]="commonContent.multiSelectOptionWaterMark" [allowFiltering]="true"
                      [ngClass]="item.get('metricAttr').errors?.attr_error && (item.get('metricAttr').touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
                    </ejs-dropdownlist>
                  </div>
                  <div *ngIf="item.get('metricAttr').errors?.attr_error && (item.get('metricAttr').touched || formInvalidAfterSaveClick)">
                    <p class="text-danger">{{dataControlContent.metricAttr.errorMsg}}</p>
                  </div>
                </div>
                <div *ngIf="isRuleEditMode">
                  <p class="text-left text-muted mt-3">{{sourceDataForEdit[i].src_attr_nm}}</p>
                </div>
              </div>
            </div>
          </div>
          <div class="row mt-2 pl-3">
            <div class="col-md-8">
              <span class="text-dark font-weight-bold">{{dataControlContent.grpByAttr.title}}</span>
              <div *ngIf="!isRuleEditMode" class="d-flex">
                <!-- <ejs-multiselect formControlName="grpByAttr" [showDropDownIcon]='true'
                  [dataSource]="sourceData.aggregationLevelList[i]" [fields]="attributeFields"
                  (change)="grpByAttrChange($event)" mode="CheckBox" cssClass="e-outline"
                  [selectAllText]="commonContent.selectALLOption" showSelectAll="true"
                  [placeholder]="commonContent.multiSelectOptionWaterMark"
                  [filterBarPlaceholder]="commonContent.filterPlaceholder" class="custom-small-ddl mt-2">
                </ejs-multiselect> -->
                <ejs-dropdownlist formControlName="grpByAttr1" [dataSource]="sourceData.aggregationLevelList[i]"
                  [fields]="attributeFields" (change)="srcGrpByAttrChange($event, i)" cssClass="e-outline mr-4"
                  class="custom-small-ddl" [filterBarPlaceholder]="commonContent.filterPlaceholder"
                  placeholder="Attribute 1" [allowFiltering]="true">
                </ejs-dropdownlist>
                <ejs-dropdownlist formControlName="grpByAttr2" [dataSource]="sourceData.aggregationLevelList2[i]"
                  [fields]="attributeFields" cssClass="e-outline ml-3"
                  class="custom-small-ddl" [filterBarPlaceholder]="commonContent.filterPlaceholder"
                  placeholder="Attribute 2" [allowFiltering]="true">
                </ejs-dropdownlist>
                <!-- <ejs-tooltip id="tooltip" content="Maximum of two Group By Attribute is allowed">
                      <em class="fa fa-info-circle ml-2 pt-3"></em>
                    </ejs-tooltip> -->
              </div>
              <div *ngIf="isRuleEditMode">
                <p class="text-left text-muted mt-3">{{sourceDataForEdit[i].src_bk_attr_nm}}</p>
              </div>
            </div>
            <div class="col-md-4">
              <span class="text-dark font-weight-bold">{{dataControlContent.fltrConn.title}}</span>
              <div class="mt-2">
                <ejs-textbox formControlName="fltrConn" [placeholder]="dataControlContent.fltrConn.title"
                  cssClass="e-outline" autofocus="!isRuleEditMode" class="custom-small-ddl bg-white">
                </ejs-textbox>
              </div>
            </div>
          </div>
          <!-- <div *ngIf="!isRuleEditMode">
            <button class="iconTextButton btn btn-link pl-3" aria-label="Remove Object" aria-expanded="false"
              (click)="deleteSource(i)" *ngIf="i > 0"><span>- Remove Object</span>
            </button>
          </div> -->
        </div>
      </div>
    </div>
    <button class="iconTextButton btn btn-link pl-3" aria-label="Add Object" aria-expanded="false"
      (click)="addSource()"
      *ngIf="!(dataControlRuleDetails.tgt_attr_id !== null && dataControlRuleDetails.tgt_attr_id.length > 1 && dataControlRuleDetails.mstr_rule_id==='MRDQ1001') && dataControlRuleDetails.src_count === 'Multiple'">
      <span>{{dataControlContent.addSrcBtn}}</span>
    </button>
  </div>
  <hr>
  <div formGroupName="targetDetails" class="mt-2 mr-2 ml-3">
    <div class="row mt-3">
      <div class="col-md-3">
        <p class="text-left text-dark font-weight-bold">{{dataControlContent.status.title}}</p>
        <span>
          <ejs-checkbox [label]="dataControlContent.status.label" formControlName="status" [value]="status" autofocus>
          </ejs-checkbox>
        </span>
        <div *ngIf="isActv.errors?.required">
          <p class="text-danger">{{dataControlContent.status.errorMsg}}</p>
        </div>
      </div>
      <div class="col-md-9">
        <p class="text-left text-dark font-weight-bold">{{dataControlContent.severity.title}}</p>
        <span *ngFor="let severityOption of severityOptions" class="mr-2">
          <ejs-radiobutton label="{{severityOption}}" formControlName="severity" value="{{severityOption}}"
            (click)="dataControlRuleDetails.rule_svrt = severityOption">
          </ejs-radiobutton>
        </span>
        <div *ngIf="svrt.errors?.required">
          <p class="text-danger">{{dataControlContent.severity.errorMsg}}</p>
        </div>
      </div>
    </div>
    <div class="row mt-3 custrow">
      <div class="col-md-12">
        <p class="text-left text-dark font-weight-bold">{{dataControlContent.ruleDescription.title}}</p>
        <span>
          <ejs-textbox formControlName="rule_desc" cssClass="e-outline" class="mr-2 custom-textbox" [multiline]="true">
          </ejs-textbox>
        </span>
      </div>
    </div>
  </div>

</form>
<hr>
<div class="bg-light pt-3 pl-3">
  <h6 class="text-left text-dark font-weight-bold">{{commonContent.applySelections}}</h6>
  <div class="row p-3">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[0]}}</span>
      <ejs-dropdownlist name="therapeuticClass" #therapeuticClass="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[1]}}</span>
      <ejs-dropdownlist name="brand" #brand="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[2]}}</span>
      <ejs-dropdownlist name="fieldForce" #fieldForce="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl">
      </ejs-dropdownlist>
    </div>
  </div>
</div>